Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management
Interface MBeanServerDelegateMBean

All Known Implementing Classes:
  MBeanServerDelegate

public interface MBeanServerDelegateMBean

Defines the management interface of an object of class MBeanServerDelegate.

Author:
  Young Yang

Method Summary
`java.lang.String` | `getImplementationName()` Returns the JMX implementation name (the name of this product).
`java.lang.String` | `getImplementationVendor()` Returns the JMX implementation vendor (the vendor of this product).
`java.lang.String` | `getImplementationVersion()` Returns the JMX implementation version (the version of this product).
`java.lang.String` | `getMBeanServerId()` Returns the MBean server agent identification
`java.lang.String` | `getSpecificationName()` Returns the full name of the JMX specification implemented by this product.
`java.lang.String` | `getSpecificationVendor()` Returns the vendor of the JMX specification implemented by this product.
`java.lang.String` | `getSpecificationVersion()` Returns the version of the JMX specification implemented by this product.

Method Detail

### getMBeanServerId

    public java.lang.String getMBeanServerId()

  Returns the MBean server agent identification

### getSpecificationName

    public java.lang.String getSpecificationName()

  Returns the full name of the JMX specification implemented by this product.

### getSpecificationVersion

    public java.lang.String getSpecificationVersion()

  Returns the version of the JMX specification implemented by this product.

### getSpecificationVendor

    public java.lang.String getSpecificationVendor()

  Returns the vendor of the JMX specification implemented by this product.

### getImplementationName

    public java.lang.String getImplementationName()

  Returns the JMX implementation name (the name of this product).

### getImplementationVersion

    public java.lang.String getImplementationVersion()

  Returns the JMX implementation version (the version of this product).

### getImplementationVendor

    public java.lang.String getImplementationVendor()

  Returns the JMX implementation vendor (the vendor of this product).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD